reportbug spams ubuntu-users mailing list

Bug #310741 reported by furicle on 2008-12-22
68
Affects Status Importance Assigned to Milestone
reportbug (Ubuntu)
Medium
Unassigned
Dapper
Undecided
Unassigned
Gutsy
Undecided
Unassigned
Hardy
Undecided
Unassigned
Intrepid
Undecided
Unassigned

Bug Description

Binary package hint: reportbug

Bug #7839 is marked closed and leaves the impression it was fixed - but report bug still exists in Hardy, and still spams the user list as far as I can see. Since this started back in 2005, wouldn't it be nice to finish this baby off? IIUC, bug #297867 says it's been replaced with ubuntu-bug - so kill it off already!

ProblemType: Bug
Architecture: i386
Date: Mon Dec 22 16:56:37 2008
Dependencies:

DistroRelease: Ubuntu 8.04
Package: reportbug None [modified: /var/lib/dpkg/info/reportbug.list]
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/home/username/bin
 LANG=en_CA.UTF-8
SourcePackage: reportbug
Uname: Linux 2.6.24-22-generic i686

furicle (furicle) wrote :

This bug reported with apport-cli to prove to myself that's working.

I counted 18 bug filings in November that were just dumped on the user's mailing list rather than going to Launchpad.

Charlie Kravetz (charlie-tca) wrote :

I can confirm this issue. I usually send out an email to those bug reporters requesting they file the bug on launchpad. Since the bugs that are reported to the user technical support mailing list are not tracked by launchpad, if the reporter does not refile, the information is lost to the developers.

Thanks for reporting this bug and any supporting documentation. Since this bug has enough information provided for a developer to begin work, I'm going to mark it as confirmed and let them handle it from here. Thanks for taking the time to make Ubuntu better!

Changed in reportbug:
importance: Undecided → Medium
status: New → Triaged
Daniel Hahler (blueyed) wrote :

This requires a StableReleaseUpdate: https://wiki.ubuntu.com/SRU
I've nominated it for the supported releases (or created bug tasks).
This needs to get ACKed by motu-sru (subscribing).

Devid Antonio Filoni (d.filoni) wrote :

motu-sru ACK.

Daniel Hahler (blueyed) wrote :

Closing the main bug task, which has been fixed in 3.47ubuntu1 for Jaunty.

Anybody wanting to provide SRUs is welcome to do so.. :)

Changed in reportbug:
status: Triaged → Fix Released
Charlie Kravetz (charlie-tca) wrote :

Since this bug is fixed in jaunty, why is the user-mailing list getting more bug-reports ? Also, do the developers care how many bug reports are missed because they went to a mailing list instead of launchpad? I hesitate to guess how many bugs are not reported because of this bug that keeps getting fixed!

On Saturday 24 January 2009 11:32:41 Charlie Kravetz wrote:
> Since this bug is fixed in jaunty, why is the user-mailing list getting
> more bug-reports ?

Because it hasn't been fixed in any of the previous releases' -updates?
--
derek

Daniel Hahler (blueyed) wrote :

I've uploaded fixed packages to {dapper,gutsy,hardy,intrepid}-proposed.

Daniel Hahler (blueyed) wrote :

I've just noticed that I've forgotten to change the package description, adding
 REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
 IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
 INSTEAD (from the "apport" package).

Since this is rather non-critical, I don't know if I should update the packages in -proposed.

Anyway, when an update to the current proposed versions is required (before it gets to -updates), this may get included.

Daniel Hahler (blueyed) wrote :

Subscribing ubuntu-sru for the Dapper SRU and attaching its debdiff.

Martin Pitt (pitti) wrote :

Please note that dapper does not yet have apport and ubuntu-bug, so we need a different solution there (just disable it, and point to Launchpad).

Changed in reportbug:
status: New → Incomplete
Martin Pitt (pitti) wrote :

Accepted into intrepid-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in reportbug:
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted into gutsy-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in reportbug:
status: New → Fix Committed
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted into hardy-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Rolf Leggewie (r0lf) wrote :

confirming for hardy-proposed

Rolf Leggewie (r0lf) wrote :

confirming for intrepid-proposed

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package reportbug - 3.39ubuntu3.1

---------------
reportbug (3.39ubuntu3.1) hardy-proposed; urgency=low

  * Stop spamming ubuntu-users mailinglist.
    Stop working for bts=ubuntu and refer to ubuntu-bug instead.
    - reportbug
    - reportbug_submit.py
    (LP: #310741)

 -- Daniel Hahler <email address hidden> Sun, 25 Jan 2009 18:57:59 +0100

Changed in reportbug:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package reportbug - 3.41ubuntu2.1

---------------
reportbug (3.41ubuntu2.1) intrepid-proposed; urgency=low

  * Stop spamming ubuntu-users mailinglist.
    Stop working for bts=ubuntu and refer to ubuntu-bug instead.
    - reportbug
    - reportbug_submit.py
    (LP: #310741)

 -- Daniel Hahler <email address hidden> Sun, 25 Jan 2009 18:59:39 +0100

Changed in reportbug:
status: Fix Committed → Fix Released
Colin Watson (cjwatson) wrote :

Since this hasn't yet been tested on gutsy, I'm removing the verification-done tag until that happens, so that our pending SRU page is less confusing. Feel free to add it back once gutsy testing has been completed.

Confirmed for gutsy-proposed.

~$ reportbug
*** ERROR: "Ubuntu" BTS is currently unsupported. Please use "ubuntu-bug" (from the apport package) for reporting bugs in Ubuntu. You can report bugs to Debian by using bts=debian (see reportbug(1)).

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package reportbug - 3.38ubuntu2.1

---------------
reportbug (3.38ubuntu2.1) gutsy-proposed; urgency=low

  * Stop spamming ubuntu-users mailinglist.
    Stop working for bts=ubuntu and refer to ubuntu-bug instead.
    - reportbug
    - reportbug_submit.py
    (LP: #310741)

 -- Daniel Hahler <email address hidden> Sun, 25 Jan 2009 18:54:43 +0100

Changed in reportbug:
status: Fix Committed → Fix Released

Has this /still/ not made it into intrepid (as opposed to intrepid-proposed)? I don't understand why people with intrepid are still sending bugs to the mailing list (https://lists.ubuntu.com/archives/ubuntu-users/2009-March/179149.html).

http://packages.ubuntu.com/intrepid/reportbug says that the current version in Intrepid is 3.41ubuntu2, while the proposed update is versioned 3.41ubuntu2.1

Changed in reportbug:
status: Fix Released → New

Version 3.41ubuntu2.1 is in intrepid-updates with the following changelog:
  * Stop spamming ubuntu-users mailinglist.
    Stop working for bts=ubuntu and refer to ubuntu-bug instead.
    - reportbug
    - reportbug_submit.py
    (LP: #310741)

Of course there may still be persons that have not upgraded.

Changed in reportbug:
status: New → Fix Released
JC Hulce (soaringsky) wrote :

Thank you for reporting this bug to Ubuntu. The version of Ubuntu referenced in this issue has reached end of life, and the issue is fixed in newer versions of Ubuntu.
Please see this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

Changed in reportbug (Ubuntu Dapper):
status: Incomplete → Invalid
Rolf Leggewie (r0lf) on 2012-03-12
Changed in reportbug (Ubuntu Dapper):
status: Invalid → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers